# norootforbuild

Name:           dvdauthor07
Version:        0.7.0+
Release:        2.2

Summary:        A set of low-level tools to help you author a DVD
License:        GPL
Group:          Productivity/Multimedia/Video/Editors and Convertors
URL:            http://dvdauthor.sourceforge.net/

Source0:        dvdauthor-%{version}.tar.bz2

#Patch0:         dvdauthor-strcat.patch

BuildRoot:      %{_tmppath}/buildroot-%{name}-%{version}

BuildRequires:	freetype2-devel fribidi-devel ImageMagick-devel libdvdread-devel
BuildRequires:	libpng-devel libxml2-devel pkgconfig zlib-devel
Provides:       dvdauthor = %{version}
Obsoletes:      dvdauthor < %{version}


%description
dvdauthor is a program that will generate a DVD movie from a valid
mpeg2 stream that should play when you put it in a DVD player.

%prep
%setup -q -n dvdauthor
#%%patch0


%build
%configure
%__make


%install
%makeinstall


%clean
%__rm -rf "%{buildroot}"


%files
%defattr(-,root,root)
%doc COPYING README TODO
%{_bindir}/*
%{_mandir}/man1/*
%dir %{_datadir}/dvdauthor
%{_datadir}/dvdauthor/*


%changelog
* Mon Apr  9 2012 davejplater@gmail.com
- Provided and obsoleted dvdauthor due to the dvdauthor binaries
  being overwritten during a zypper up -r Packman causing DVDStyler
  to fail.
* Mon May  2 2011 davejplater@gmail.com
- Update to version 0.7.0+ and removed dvdauthor-strcat.patch due to
  build errors and changes to the function patched.
* Sat Apr 16 2011 detlef@links2linux.de
- new upstream version <0.7.0>
* Sun Mar 21 2010 ludwig.nussel@gmx.de
- fix compile error instead of disabling post-build-checks
* Fri Mar 19 2010 detlef@links2linux.de
- new upstream version <0.6.18>
  * implement link-subset jumps
  * implement audio and subpicture content attributes
  * use dynamically-sized buffer for building IFO files
  * version jump to forestall fork confusion
* Fri Mar 12 2010 detlef@links2linux.de
- new upstream version <0.6.15>
  * consistently check for errors on all file opens and when creating output
    directories
  * fix remapping of colours for more than 8 subpicture streams
  * recover from SCR moving backwards as per suggestion from Philippe Sarazin
  * add patch from Wolfgang Wershofen to print out chapter timecodes
  * validate all XML integer arguments and attribute values
  * fix spurious error parsing video caption option
  * incorporate Fedora patch from Ville Skyttä to allow building with
    GraphicsMagick instead of ImageMagick
  * incorporate FriBidi patches from Ville Skyttä
  * auto-action buttons have spatial extents too
  * fill in more details in man pages
  * include an adaptation of Martin Crossley's ivtv patch
* Tue Feb 27 2007 rainer@links2linux.de
- new upstream release
* Tue Nov 25 2003 rainer@links2linux.de
- added some docs
* Fri Nov 14 2003 rainer@links2linux.de
- added menu.txt
* Mon Nov  3 2003 rainer@links2linux.de
- added DESTDIR patch
- first packman release
  Fri Feb 21 00:00:00 UTC 2003 - Dr. Peter Bieringer <pb at bieringer dot de> 0.4.3
- initial
